module EngineOmpldr (config, handler) where

import qualified Data.Map as Map

import qualified Engine

ompldrUploadUrl = "http://ompldr.org/upload"

config = Engine.PasteContext {
  Engine.pcUploadLink    = ompldrUploadUrl,
  Engine.pcFileTagName   = "file1",
  Engine.pcFileName      = "",
  Engine.pcFields        = [],
  Engine.pcEncodingType  = Engine.MultipartFormData,
  Engine.pcContents      = "",
  Engine.pcResultLink    = Nothing,
  Engine.pcCustomFields  = Map.empty,
  Engine.pcAllowRedirect = False,
  Engine.pcCustomHeaders = []
  }

handler :: Engine.PasteHandler ()
handler = Engine.uploadAndGrabHtml (Engine.grabExtractLinks "a" "href" Engine.FileName)
            >>= Engine.saveFirstLinkExtended "http://ompldr.org" ""
